*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    height: 100%;
}

body{
    font-family: 'Roboto', sans-serif;
    background: #f5f5f5;
    min-height: 100vh;
}

main{
    width: 100%;
    max-width: 700px;
    margin: 0 auto;
    padding: 0 20px;
    padding-bottom: 50px;
    min-height: calc(100vh - 170px)
}
.visualize{
    text-align: center;
}
.visualize p{
    position: relative;
    z-index: 3;
    right: 70px;
}
textarea{
    width: 100%;
    height: 100px;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 10px;
    resize: none;
}

button{
    width: 100%;
    height: 40px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #eee;
    color: #333;
    font-size: 16px;
    cursor: pointer;
}

.label {
    font-weight: bold;
    font-size: 20px;
    padding: 10px 0px 10px 0px;
}


.inputs {
    font-size: 20px;
    margin-top: 5px;
}

h1{
    text-align: center;
}

h2{
    margin: 10px;
    margin-bottom: 15px;
}

.ref{
    text-decoration: none;
    color: #A02932;
    font-size: 16px;
}

.list {
    font-size: 26px;
    margin-left: 170px;
}

.limit {
    background: #35495e;
    padding: 3px 5px 3px 5px;
    font-size: 16px;
    border-radius: 2px;
}

.limit:hover {
    background: #1b2531;
    padding: 3px 5px 3px 5px;
    font-size: 16px;
    border-radius: 2px;
}


.task{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 8px 0;
    border-bottom: 1px solid #ccc;
    max-height: 900px;

}

.task:first-child{
    border-top: 1px solid #ccc;
}

.inputs {
  padding: 3px 0px 3px 3px;
  font-size: 16px;
  width: 280px;
    margin-bottom: 5px;
}

.inputs-git {
  padding: 3px 0px 3px 3px;
  font-size: 16px;
  width: 350px;
    margin-bottom: 5px;
}


.import-from-git {
    font-size: 18px;
    margin-bottom: 5px;
    margin-top: 25px;
    text-align: center;
}
details > summary {
  padding: 2px 6px;
  width: 15em;
}

details > p {
  padding: 2px 6px;
  margin: 3px;
    font-size: 14px;
}

small {
  padding: 2px 6px;
  margin: 3px;
    font-size: 14px;
}

hr {
    height: 2px; /* Толщина линии */
    border: none; /* Убираем границу */
    background-color: black; /* Цвет линии */
    color: black; /* Цвет линии для IE6-7 */
    margin-top: 15px;
    margin-bottom: 8px;
}

.inputcheck{
    margin-top: 12px;
}

.truebutton{
    border: none;
    background-color: #4CAF50;
    color: white;
    border-radius: 3px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    padding: 0.5rem 1.8rem;

}

.homebutton{
    border: none;
    background-color: #4CAF50;
    color: white;
    border-radius: 3px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 25px;
    padding: 0.5rem 1.8rem;
    margin-top: 20px;
}

.falsebutton{
    border: none;
    background-color: #f44336;
    color: white;
    border-radius: 3px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    padding: 0.5rem 1.8rem;
}

.description {
    width: 70%;
    font-size: 16px;
}

.center {
    text-align: center;
}

.pagination {
    display: inline-block;
    text-align: center;
    margin-top: 18px;

}

.pagination button {
    color: black;
    float: left;
    text-decoration: none;
    width: 35px;
    height: 35px;
    margin: 0px 4px;
}

.pagination button.active {
    background-color: #4CAF50;
    color: white;
}

.pagination button:hover:not(.active) {background-color: #ddd;}

select {
  font-size: 16px;
}

.for-tag{
    border: none;
    background-color: cornflowerblue;
    color: white;
    border-radius: 3px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    padding: 0.3rem;
    margin-left: -10px;
    margin-right: 5px;
}

.custom-select{
    padding: 8px 0px;
}

h4 {
    padding: 8px 0px 0px 0px;
}

.tag_filter{
    background: #35495e;
    padding: 3px 5px 3px 5px;
    font-size: 16px;
    border-radius: 4px;
    margin: 5px 0px 5px 15px;
}

.select-css {
    margin: 4px;
}

.tag_filter:hover {
    background: #1b2531;
    padding: 3px 5px 3px 5px;
    font-size: 16px;
    border-radius: 4px;
}

.for-tag-count{
    border: none;
    background-color: cornflowerblue;
    color: white;
    border-radius: 3px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;

    margin-right: 5px;
    margin-top: 15px;
    padding: 6px 4px 6px 4px;
}

.date {
    padding: 8px 0;
}

.pdate{
    padding-left: 5px;
}

.fig {
    text-align: center; /* Выравнивание по центру */
    margin-top: 40px;
   }


.import {
    margin-top:20px;
    font-size: 18px;
    text-align: center;
}

.export {
    margin-top:30px;
    font-size: 18px;
    text-align: center;
}

.choose_file {
    padding: 10px;
}

.send, .download, .add {
  width:200px;
  height:50px;
  margin:0 10px;
  border:0;
  cursor:pointer;
  background-color:#d7d5d5;
  transition:background 250ms ease;
}

.add {
    margin-bottom: 20px;
}

.send:hover, .download:hover, .add:hover {
  background-color:#9ebe92;
}

div.button {
    padding-top: 15px;
    text-align: center;
}

.input-btn {
    font-size: 16px;
}

.add {
    margin-top: 12px;
}

textarea {
    font-size: 20px;
    margin-top: 10px;
    margin-bottom: 10px;
}

footer {
    overflow: hidden;
    display: flex;
    flex-direction: column;
    min-height: 60px;
    width:100%;
    margin-top: 30px;
    height: auto;
    text-align: center;
    border-top: 1px solid grey;
    padding-top: 20px;
    background-color: #FAECE1

}

.forrefs {
    padding-top: 10px;
    width: 560px;
    height: 20px    ;
    text-align: center;
    margin: 2px;
}

.footerref {
    text-align: center;
    text-decoration: none;
    color: black;
    font-size: 16px;
    padding: 10px 25px 13px 25px;
    background-color: darkorange;
}

.footerref:hover {
    background-color: snow;
}

.alert {
  width: 100%;
  padding: 12px 16px;
  border-radius: 4px;
  border-style: solid;
  border-width: 1px;
  margin-bottom: 12px;
  font-size: 16px;
    text-align: center;
}

.alert.alert-success {
  background-color: rgba(227, 253, 235, 1);
  border-color: rgba(38, 179, 3, 1);
  color: rgba(60, 118, 61, 1);
}

.alert.alert-danger {
  background-color: rgba(248, 215, 218, 1);
  border-color: rgba(220, 53, 69, 1);
  color: rgba(114, 28, 36,1);
}
.alert.alert-warning {
  background-color: #fcf8e3;
  border-color: #faebcc;
  color: #8a6d3b;
}
.form-control{
	width: 80%;
	height: 40px;
	background: #e0dede;
	justify-content: left;
	font-size: 16px;
	margin: 10px auto;
	padding: 10px;
	border: none;
	outline: none;
	border-radius: 5px;
}

.login_submit, .restration_submit {
	width: 30%;
	height: 40px;
	margin: 10px auto;
	justify-content: center;
	display: block;
	color: #fff;
	background: #573b8a;
	font-size: 1em;
	font-weight: bold;
	margin-top: 20px;
	outline: none;
	border: none;
	border-radius: 5px;
	border-radius: 5px;
	transition: .2s ease-in;
	cursor: pointer;
    margin-left: 170px;
}

.login_submit {
    margin-top: 12px;
}

.site-header {
  border-bottom: 1px solid #ccc;
  padding: .5em 1em;
  display: flex;
  justify-content: space-between;
    background-color: #35495e;
}

.site-identity h1 {
  font-size: 1.5em;
  margin: .6em 0;
  display: inline-block;
}

a {
  text-decoration: none;
  color: whitesmoke;
}



.site-navigation ul,
.site-navigation li {
  margin: 0;
  padding: 0;
}

.site-navigation li {
  display: inline-block;
  margin: 1.4em 1em 1em 1em;
}

.reg-ref {
    color: #35495e;
    margin-left: 5px;
    font-size: 1em;
	font-weight: bold;
    cursor: pointer;
}



.filter_form{
    padding: 10px;

    text-align: center;
}

.filter_form h3{
    margin-bottom: 20px;
}

.filter div{
    width: 100%;
    margin-bottom: 20px;
}
.filter label{
    font-size:18px;
}

.filter label:first-child{
    margin-right: 30px;
}
.filter label:last-child{
    margin-left: 30px;
}

.filter input{
    font-size: 18px;
    border: 2px solid #7FFABB;
    border-radius: 5px;
    padding: 5px;
    transition: border-color 1s;
}
.filter input:hover{
    border-color: #6EE334;
    background-color: #CDEBF8;
}

.use_filter{
    width: 140px;
    color: black;
    font-size: 18px;
    font-weight: bold;
    border: 1px solid ;
    background-color: inherit;
    padding: 4px;
    transition: background-color 1s;
}

.use_filter:hover{
    background-color: #4296fc;
}

li > .reg-nav, .sign-in-nav, .logout-nav {
    font-weight: bold;
}

li > .reg-nav:hover, .sign-in-nav:hover{
    color: #D0D0D0;
    transition: 0.15s;
}

.logout-nav:hover {
    color: #D70040;
    transition: 0.15s;
}



.h-gen{
    text-align: left;
    font-size: 16px;
}

.h2-gen{
    font-size: 34px;
    margin: 10px;
    margin-bottom: 15px;
}

.todo_gen_count{
    text-align: center;
    margin-right: -300px;
}


.select-dropdown,
.select-dropdown * {
	margin: 0;
	padding: 0;
	position: relative;
	box-sizing: border-box;
}
.select-dropdown {
	position: relative;
	background-color: #E6E6E6;
	border-radius: 4px;
}
.dropdown select {
	font-size: 1rem;
	font-weight: normal;
	max-width: 100%;
	padding: 8px 24px 8px 10px;
	border: none;
	background-color: transparent;
		-webkit-appearance: none;
		-moz-appearance: none;
	appearance: none;
}
.dropdown select:active, .dropdown select:focus {
	outline: none;
	box-shadow: none;
}
.dropdown:after {
	content: "";
	position: absolute;
	top: 50%;
	right: 8px;
	width: 0;
	height: 0;
	margin-top: -2px;
	border-top: 5px solid #aaa;
	border-right: 5px solid transparent;
	border-left: 5px solid transparent;
}



.filters-by-tag {
   padding: 1.5rem;
    text-align: center;
}

h1 {
  text-align: center;
  margin-bottom: 2rem;
}

h1 a {
  transition: all 0.1s;
}


input[type="radio"] {
  display: none;
}

.filters * {
  display: inline-block;
}

.filters label {
  padding: 0.5rem 1rem;
  margin-bottom: 0.25rem;
  border-radius: 2rem;
  min-width: 50px;
  line-height: normal;
  cursor: pointer;
  transition: all 0.1s;
  font-size: 18px;
}

.filters label a {
    color: black
}

.filters {
  text-align: center;
  margin-bottom: 1rem;
}


:root {
    --blue: #35495e;
  --white: #fff;
  --green: #49b293;
}

.filters label:hover {
  background: var(--blue);

}

.filters label:hover > .tag-ref{
  color: white;
}

.filter-by-tag-submit:hover {
    background: var(--blue);
    color: var(--white);
}

.sort-form {
    text-align: center;}


.dublicates{
    width: 100%;
    text-align: center;

}
.dublicates div{
    display: inline-block;
    margin: 10px;
    padding:4px;
    border-radius: 5px;
    transition: background-color 2s
}
.dublicates div:nth-child(even){
    background-color:#147fc7;

}
.dublicates div:nth-child(even):hover{
    background-color:blue;
}

.dublicates div:nth-child(odd){
    background-color:#14c7a6;
    color: black;
}
.dublicates div:nth-child(odd) a{
    color: black;
}
.dublicates a{
    margin-right: 8px;
    font-size: 17px;
}

.dublicates a:first-child{
    margin-left: 8px;
}

.dublicates div:nth-child(even) a:hover{
    color: black;
}
.dublicates div:nth-child(odd):hover{
    background-color: #14c750;
}
.dublicates div:nth-child(odd) a:hover{
    color: white;
}